%define version	0.11
%define release	%mkrel 12
%define name 	perl-Mon
%define realname	Mon

Summary:	Perl-Mon module
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source: 	ftp://ftp.kernel.org/pub/software/admin/mon/%{realname}-%{version}.tar.bz2
URL: 		http://www.kernel.org/software/mon/
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root/
Requires: 	perl
   
%description
This is the Perl5 module for interfacing with the Mon system monitoring
package. Currently only the client interface is implemented, but more
things like special logging routines and persistent monitors are being
considered.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%{perl_vendorlib}/Mon
%{_mandir}/*/*
%doc CHANGES  COPYRIGHT COPYING README VERSION

%clean
rm -rf $RPM_BUILD_ROOT




%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.11-12mdv2009.1
+ Revision: 351850
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.11-11mdv2009.0
+ Revision: 223832
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.11-10mdv2008.1
+ Revision: 180486
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.11-9mdv2007.0
+ Revision: 108471
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Mon

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.11-8mdk
- own dir
- rebuild

